
Redmine - Defect #31508

Add missing frozen strings and copyrights

2019-06-03 22:42 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

There were some new files added in the last weeks that don't contain the frozen string literal and the copyright. The attach patch

fixes this.

Related issues:

Related to Redmine - Feature #28234: Add CSV Import for Time Entries Closed

Related to Redmine - Feature #31355: Bookmarks and recently used projects for... Closed

Related to Redmine - Feature #26561: Enable frozen string literals Closed

Associated revisions

Revision 18225 - 2019-06-04 08:36 - Go MAEDA

Add missing frozen string literals and copyrights (#31508).

Revision 18255 - 2019-06-13 09:24 - Go MAEDA

Add missing frozen string literals and copyrights (#31508).

Patch by Marius BALTEANU.

History

#1 - 2019-06-04 01:20 - Go MAEDA

- Target version set to 4.1.0

#2 - 2019-06-04 08:38 - Go MAEDA

- Related to Feature #28234: Add CSV Import for Time Entries added

#3 - 2019-06-04 08:40 - Go MAEDA

- Related to Feature #31355: Bookmarks and recently used projects for the project jump box added

#4 - 2019-06-04 08:41 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thanks.

#5 - 2019-06-11 22:19 - Marius BĂLTEANU

- File add_missing_fronzen_string_literal.patch added

- Status changed from Closed to Reopened

Somehow, I've missed two files, please commit the attached patch as well.

I'm sorry for this.

#6 - 2019-06-13 09:25 - Go MAEDA

- Status changed from Reopened to Closed
Marius BALTEANU wrote:

Somehow, I've missed two files, please commit the attached patch as well.

 Committed in r18255. Thanks.

#7 - 2019-11-02 14:53 - Marius BĂLTEANU

- Related to Feature #26561: Enable frozen string literals added

#8 - 2019-11-02 14:54 - Marius BĂLTEANU

- Target version deleted (4.1.0)

Files

0003-Add-missing-frozen-string-literals-and-copyrights.patch 9.85 KB 2019-06-03 Marius BĂLTEANU

add_missing_fronzen_string_literal.patch 2.52 KB 2019-06-11 Marius BĂLTEANU
